function particle_load()
particle = love.graphics.newImage("images/particle.png") --Base Particle image
particle2 = love.graphics.newImage("images/particle.png")

shipPS = love.graphics.newParticleSystem(particle, 800) --"thruster" particles
	shipPS:setEmissionRate(800)
	shipPS:setLifetime(-1)
	shipPS:setParticleLife(.5,.7)
	shipPS:setSizes(.4,.6)
	shipPS:setSpeed(150,400)
	shipPS:setSpread(.1)

exps = love.graphics.newParticleSystem(particle,500) --mousewheel particles
	exps:setEmissionRate(500)
	exps:setLifetime(.3)
	exps:setParticleLife(.3,.3)
	exps:setSizes(.5,.8)
	exps:setSpeed(300,500)
	exps:setDirection(0)
	exps:setSpread(360)
	
	
bulletps = love.graphics.newParticleSystem(particle2, 500) --bullet + hit stuff particles
	bulletps:setEmissionRate(500)
	bulletps:setLifetime(.1)
	bulletps:setParticleLife(.5)
	bulletps:setSizes(1,1.5)
	bulletps:setSpeed(300,500)
	bulletps:setDirection(9)
	bulletps:setSpread(90)

end

function sound_load() --Loadin' up the sounds...
bullet.lasersound = love.audio.newSource("data/laser.ogg","static")
	bullet.lasersound:setVolume(.5)
	bullet.lasersound:setPitch(1.5)

	colorchange = love.audio.newSource("data/colorchange.ogg","static")
end

function image_load()
bulletimg = {}
	bulletimg[1]= love.graphics.newImage("images/bulletred.png")
	bulletimg[2]= love.graphics.newImage("images/bulletblue.png")
	bulletimg[3]= love.graphics.newImage("images/bulletgreen.png")

sprite = {}
	sprite[1]= love.graphics.newImage("images/red.png")
	sprite[2]= love.graphics.newImage("images/blue.png")
	sprite[3]= love.graphics.newImage("images/green.png")
	
	
star = {}
spawntimestar = 1
end

--This function doesn't take up all that much cpu, but I'm sure it could be better
function stars_spawn(x, y) --creates a unique placement/size for each star
	table.insert(star, {x=math.random(0, 4800), y=math.random(0, 2400),size = math.random(3,9)})
end
function stars_draw()
	for si,sv in ipairs(star) do --draws all of the "stars" in a pentagon shape.
		love.graphics.circle("fill",sv.x, sv.y, sv.size,5)
	end
end

function stars_create(dt)
	spawntimestar = spawntimestar + 1*dt
	if spawntimestar < 500 then --Basically just creates 1000 circles on the screen
		stars_spawn()
	end
	if spawntimestar == 500 then --After all of the stars are created, stop the spawning.
		spawntimestar = 0
	end
end
